# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteServiceCallPolicy

Packages that use IRemoteServiceCallPolicy
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IRemoteServiceCallPolicy in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`protected IRemoteServiceCallPolicy`
RegistrySharedObject.`getRemoteServiceCallPolicy()`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`boolean`
RegistrySharedObject.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`
`boolean`
RemoteServiceContainer.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`

## Uses of IRemoteServiceCallPolicy in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice that return IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`protected IRemoteServiceCallPolicy`
RemoteServiceContainerAdapterImpl.`getRemoteServiceCallPolicy()`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`boolean`
IRemoteServiceContainerAdapter.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`
Set the remote service call policy to enable authorization on remote service method calls
`boolean`
RemoteServiceContainerAdapterImpl.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`

## Uses of IRemoteServiceCallPolicy in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`boolean`
AbstractRSAClientContainer.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`

## Uses of IRemoteServiceCallPolicy in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client with parameters of type IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`boolean`
AbstractRestClientContainer.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`

## Uses of IRemoteServiceCallPolicy in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet with parameters of type IRemoteServiceCallPolicy
Modifier and Type
Method
Description
`boolean`
ServletServerContainer.`setRemoteServiceCallPolicy(IRemoteServiceCallPolicy policy)`